unifiedRoleAssignmentSchedule: filterByCurrentUser

命名空间:microsoft.graph

检索登录用户是其主体的活动角色分配操作的计划。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) RoleAssignmentSchedule.Read.Directory、RoleManagement.Read.Directory、RoleManagement.Read.All、RoleAssignmentSchedule.ReadWrite.Directory
委派(个人 Microsoft 帐户) 不支持
Application RoleManagement.Read.All、RoleManagement.Read.Directory、RoleManagement.ReadWrite.Directory

HTTP 请求

GET /roleManagement/directory/roleAssignmentSchedules/filterByCurrentUser(on='parameterValue')

函数参数

在请求 URL 中,提供以下查询参数(含值)。 下表显示了此函数所需的参数。

参数 类型 说明
on roleAssignmentScheduleFilterByCurrentUserOptions 可能的值是principal. unknownFutureValue

可选的查询参数

此方法支持 $select``$filterOData 查询参数,$expand以帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此函数在响应正文中返回 200 OK 响应代码和 unifiedRoleAssignmentSchedule 集合。

示例

请求

GET https://graph.microsoft.com/v1.0/roleManagement/directory/roleAssignmentSchedules/filterByCurrentUser(on='principal')

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
    "@odata.context": "https://graph.microsoft.com/v1.0/$metadata#Collection(unifiedRoleAssignmentSchedule)",
    "value": [
        {
            "@odata.type": "#microsoft.graph.unifiedRoleAssignmentSchedule",
            "id": "lAPpYvVpN0KRkAEhdxReEJ2SvT9WjGJEhR4OuaezoqU-1",
            "principalId": "3fbd929d-8c56-4462-851e-0eb9a7b3a2a5",
            "roleDefinitionId": "62e90394-69f5-4237-9190-012177145e10",
            "directoryScopeId": "/",
            "appScopeId": null,
            "createdUsing": null,
            "createdDateTime": null,
            "modifiedDateTime": null,
            "status": "Provisioned",
            "assignmentType": "Assigned",
            "memberType": "Direct",
            "scheduleInfo": {
                "startDateTime": "2022-04-11T19:31:50.5613964Z",
                "recurrence": null,
                "expiration": {
                    "type": "noExpiration",
                    "endDateTime": null,
                    "duration": null
                }
            }
        }
    ]
}